XF 2.2 Upgrading XF 1.5 -> XF 2.2.6 P2

tsi

Member
Hi,

I created a clone of a XF 1.5 forum on a local linux host. Everything looked OK.

I updated PHP 7.3 to PHP 7.4 to met the PHP requirements. A check with the Xenforo requirements PHP-Skript was OK, all needed PHP-modules are installed.
Mysql version is 5.7.35. Even with PHP 7.4 the clone forum was still working on localhost.

No I followed the update guide and copied the content of the upload directory into the root directory by overwriting existing files.

When I try to open localhost/install/ nothing is happening, only a blank screen.

Any ideas?

Thanks!




EDIT: /var/log/apache2/error.log:

[Wed Sep 15 10:42:25.882767 2021] [php7:warn] [pid 42060] [client 127.0.0.1:54712] PHP Warning: require(/var/www/html/src/vendor/composer/../symfony/polyfill-mbstring/bootstrap.php): failed to open stream: No such file or directory in /var/www/html/src/vendor/composer/autoload_real.php on line 69
[Wed Sep 15 10:42:25.882834 2021] [php7:error] [pid 42060] [client 127.0.0.1:54712] PHP Fatal error: require(): Failed opening required '/var/www/html/src/vendor/composer/../symfony/polyfill-mbstring/bootstrap.php' (include_path='.:/usr/share/php') in /var/www/html/src/vendor/composer/autoload_real.php on line 69
 
Last edited:

tsi

Member
It seems to be a local problem with the ZIP archive that I have to check first, then immediately with 2.2.7 I have to first

research where something has been lost.

thanks
 
Last edited by a moderator:

Brogan

XenForo moderator
Staff member
I recommend using the latest 2.2.7 package.

If you have cPanel, upload the zip archive and extract on the server - that will resolve any issues typically caused when using FTP.
 
Top